Skip to navigation

Update Folder

Update Folder.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

folder_idstringRequired
ID of the Folder.

Request

This endpoint expects an object.
archiveReasonstringOptional

Why it is being archived. Required when archived is true, and not allowed when unarchiving.

archivedbooleanOptional

Set to true to archive or false to unarchive it. Archiving requires archiveReason.

descriptionstring or nullOptional
namestringOptional

Response

OK
__typenamestringOptional
archiveReasonstring or nullOptional
archivedbooleanOptional
childrenstringOptionalformat: "uri"
The folders directly nested under this folder.
createdAtstringOptionalformat: "datetime"
descriptionstring or nullOptional
idstringOptional
modifiedAtstring or nullOptionalformat: "datetime"
namestring or nullOptional
parentobject or nullOptional

The parent folder, if it exists. Root folders (one per Project) have no parent.

projectobject or nullOptional
ID of the containing project

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error